package com.ynet.life.file.parser;

import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.FileConstants;

/* loaded from: com_ynet_life_file_parser.jar:com/ynet/life/file/parser/CommonDownloadParserFactory.class */
public class CommonDownloadParserFactory {
    private CommonDownloadParserFactory() {
    }

    public static CommonDownloadFileParserInterface createParser(String fileType) throws TranFailException {
        if (FileConstants.FILE_TYPE_CSV.equalsIgnoreCase(fileType)) {
            return new CommonDownloadCSVFileParser();
        }
        if (FileConstants.FILE_TYPE_TXT.equalsIgnoreCase(fileType)) {
            return new CommonDownloadTXTFileParser();
        }
        if (FileConstants.FILE_TYPE_XLS.equalsIgnoreCase(fileType)) {
            return new CommonDownloadXLSFileParser();
        }
        if (FileConstants.FILE_TYPE_XML.equalsIgnoreCase(fileType)) {
            return new CommonDownloadXMLFileParser();
        }
        if (FileConstants.FILE_TYPE_PDF.equalsIgnoreCase(fileType)) {
            return new CommonDownloadPDFFileParser();
        }
        throw FileConstants.EXCEPTION_WRONG_TYPE;
    }
}
